org.apache.ignite.internal.processors.tracing

## Class SpanTags

- java.lang.Object
- - org.apache.ignite.internal.processors.tracing.SpanTags

    public class SpanTags
    extends Object

List of tags that can be used to decorate spans.

### Field Summary

Fields
`static String` `CONSISTENT_ID`
`static String` `ERROR`
`static String` `EVENT`
`static String` `EVENT_NODE`
`static String` `EXCHANGE`
`static String` `ID`
`static String` `INITIAL`
`static String` `MAJOR`
`static String` `MESSAGE`
`static String` `MESSAGE_CLASS`
`static String` `MINOR`
`static String` `NAME`
`static String` `NODE`
`static String` `NODE_ID`
`static String` `ORDER`
`static String` `RESULT`
`static String` `SOCKET_WRITE_BYTES` Number of bytes that were written to the socket.
`static String` `SQL_CACHE_UPDATES` Number of cache entries to be updated as a result of DML query.
`static String` `SQL_IDX` Name of SQL index.
`static String` `SQL_IDX_RANGE_ROWS` Number of rows that index range request contains.
`static String` `SQL_PAGE_ROWS` Number of rows that result page contains.
`static String` `SQL_PARSER_CACHE_HIT` Whether parsing of the SQL query was skipped due to the cached result.
`static String` `SQL_QRY_ID` Query identifier.
`static String` `SQL_QRY_TEXT` Text of SQL query.
`static String` `SQL_SCHEMA` SQL schema.
`static String` `SQL_TABLE` Name of SQL table.
`static String` `TOPOLOGY_VERSION`
`static String` `TYPE`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `tag(String... tagParts)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NODE

    public static final String NODE

See Also:
  Constant Field Values

#### ID

    public static final String ID

See Also:
  Constant Field Values

#### ORDER

    public static final String ORDER

See Also:
  Constant Field Values

#### EVENT

    public static final String EVENT

See Also:
  Constant Field Values

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

#### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

#### INITIAL

    public static final String INITIAL

See Also:
  Constant Field Values

#### RESULT

    public static final String RESULT

See Also:
  Constant Field Values

#### ERROR

    public static final String ERROR

See Also:
  Constant Field Values

#### EXCHANGE

    public static final String EXCHANGE

See Also:
  Constant Field Values

#### CONSISTENT_ID

    public static final String CONSISTENT_ID

See Also:
  Constant Field Values

#### TOPOLOGY_VERSION

    public static final String TOPOLOGY_VERSION

See Also:
  Constant Field Values

#### MAJOR

    public static final String MAJOR

See Also:
  Constant Field Values

#### MINOR

    public static final String MINOR

See Also:
  Constant Field Values

#### EVENT_NODE

    public static final String EVENT_NODE

#### NODE_ID

    public static final String NODE_ID

#### MESSAGE

    public static final String MESSAGE

See Also:
  Constant Field Values

#### SOCKET_WRITE_BYTES

    public static final String SOCKET_WRITE_BYTES

Number of bytes that were written to the socket.

See Also:
  Constant Field Values

#### MESSAGE_CLASS

    public static final String MESSAGE_CLASS

See Also:
  Constant Field Values

#### SQL_QRY_TEXT

    public static final String SQL_QRY_TEXT

Text of SQL query.

See Also:
  Constant Field Values

#### SQL_SCHEMA

    public static final String SQL_SCHEMA

SQL schema.

See Also:
  Constant Field Values

#### SQL_PAGE_ROWS

    public static final String SQL_PAGE_ROWS

Number of rows that result page contains.

See Also:
  Constant Field Values

#### SQL_IDX_RANGE_ROWS

    public static final String SQL_IDX_RANGE_ROWS

Number of rows that index range request contains.

See Also:
  Constant Field Values

#### SQL_TABLE

    public static final String SQL_TABLE

Name of SQL table.

See Also:
  Constant Field Values

#### SQL_IDX

    public static final String SQL_IDX

Name of SQL index.

See Also:
  Constant Field Values

#### SQL_CACHE_UPDATES

    public static final String SQL_CACHE_UPDATES

Number of cache entries to be updated as a result of DML query.

See Also:
  Constant Field Values

#### SQL_PARSER_CACHE_HIT

    public static final String SQL_PARSER_CACHE_HIT

Whether parsing of the SQL query was skipped due to the cached result.

See Also:
  Constant Field Values

#### SQL_QRY_ID

    public static final String SQL_QRY_ID

Query identifier.

See Also:
  Constant Field Values

### Method Detail

#### tag

    public static String tag(String... tagParts)

Parameters:
  `tagParts` - String parts of composite tag.
Returns:
  Composite tag with given parts joined using delimiter.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023